Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Asynch_Invocation Class Reference

Base class for TAO_GIOP_Twoway_Asynch_Invocation and TAO_GIOP_DII_Deferred_Invocation. More...

`#include <Asynch_Invocation.h>`

Inheritance diagram for TAO_GIOP_Asynch_Invocation:

[legend]
Collaboration diagram for TAO_GIOP_Asynch_Invocation:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Asynch_Invocation (void)
| Default constructor. This should never get called, it is here only to appease older versions of g++. More...
| TAO_GIOP_Asynch_Invocation (TAO_Stub *stub, const char *operation, CORBA::ULong opname_len, CORBA::Boolean argument_flag, TAO_ORB_Core *orb_core, int byte_order=TAO_ENCAP_BYTE_ORDER)
| Constructor. More...
virtual int | invoke (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Send request, without blocking until any reply comes back. More...
void | start (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Establishes a connection to the remote server, initializes headers etc. More...
## Protected Methods
virtual int | invoke_i (ACE_ENV_SINGLE_ARG_DECL)=0 throw (CORBA::SystemException)
| Must be overridden. More...
## Protected Attributes
TAO_Asynch_Reply_Dispatcher_Base * | rd_
| Reply dispatcher for the current asynchronous invocation. More...

## Detailed Description

Base class for TAO_GIOP_Twoway_Asynch_Invocation and TAO_GIOP_DII_Deferred_Invocation.

## Constructor & Destructor Documentation

TAO_GIOP_Asynch_Invocation::TAO_GIOP_Asynch_Invocation | ( | void |  | ) |

| Default constructor. This should never get called, it is here only to appease older versions of g++.

ACE_INLINE TAO_GIOP_Asynch_Invocation::TAO_GIOP_Asynch_Invocation | ( | TAO_Stub * | stub,
|  | const char * | operation,
|  | CORBA::ULong | opname_len,
|  | CORBA::Boolean | argument_flag,
|  | TAO_ORB_Core * | orb_core,
|  | int | byte_order = TAO_ENCAP_BYTE_ORDER
| ) |

| Constructor.

## Member Function Documentation

int TAO_GIOP_Asynch_Invocation::invoke | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Send request, without blocking until any reply comes back.

virtual int TAO_GIOP_Asynch_Invocation::invoke_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[protected, pure virtual]`

| Must be overridden. Reimplemented in TAO_GIOP_Twoway_Asynch_Invocation.

void TAO_GIOP_Asynch_Invocation::start | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Establishes a connection to the remote server, initializes headers etc. Reimplemented from TAO_GIOP_Invocation.

## Member Data Documentation

TAO_Asynch_Reply_Dispatcher_Base* TAO_GIOP_Asynch_Invocation::rd_`[protected]`

| Reply dispatcher for the current asynchronous invocation.

The documentation for this class was generated from the following files:

- Asynch_Invocation.h
- Asynch_Invocation.cpp
- Asynch_Invocation.i